---
layout: markdown_page
title: "Category Direction - API"
description: "This GitLab product category is focused on GitLab's APIs and related tooling. Find more information here!"
canonical_path: "/direction/manage/import_and_integrate/api/"
---

- TOC
{:toc}

## API

| | |
| --- | --- |
| Stage | [Manage](/direction/manage/) |
| Maturity | [Viable](/direction/maturity/) |
| Content Last Reviewed | `2023-05-22` |

### Introduction and how you can help

Thanks for visiting this category direction page on API in GitLab. This page belongs to the [Import and Integrate](https://about.gitlab.com/handbook/product/categories/#import-and-integrate-group) group of the Manage stage and is maintained by the group's Product Manager, [Magdalena Frankiewicz](https://gitlab.com/m_frankiewicz) ([E-mail](mailto:mfrankiewicz@gitlab.com), [Calendly](https://calendly.com/gitlab-magdalenafrankiewicz/45mins)).

API category is a special one within GitLab product. The GitLab API enables other applications and services the ability to integrate with the GitLab application. Import and Integrate group supports cross-cutting needs while each Product area is responsible for their API features/functionality. Below we share list of issues and epics that belong to API category and Import and Integrate group.

This direction page is a work in progress, and everyone can contribute:
 
- Please comment and contribute in the linked [issues](https://gitlab.com/groups/gitlab-org/-/issues/?sort=created_date&state=opened&label_name%5B%5D=Category%3AAPI&label_name%5B%5D=group%3A%3Aimport%20and%20integrate&first_page_size=20) and [epics](https://gitlab.com/groups/gitlab-org/-/epics?state=opened&page=1&sort=start_date_desc&label_name[]=Category:API&label_name[]=group::import+and+integrate) on this page. Sharing your feedback directly on GitLab.com is the best way to contribute to our strategy and vision.
 - Please share feedback directly via email, Twitter, or on a video call. If you're a GitLab user and want to discuss how GitLab can improve Importers, we'd especially love to hear from you.

### Strategy and Themes

<!-- Describe your category. Capture the main problems to be solved in market (themes). Describe how you intend to solve these with GitLab (strategy). Provide enough context that someone unfamiliar with the details of the category can understand what is being discussed. -->

<%= partial("direction/manage/import_and_integrate/api/templates/overview") %>

### 1 year plan
<!--
1 year plan for what we will be working on linked to up-to-date epics. This section will be most similar to a "road-map". Items in this section should be linked to issues or epics that are up to date. Indicate relative priority of initiatives in this section so that the audience understands the sequence in which you intend to work on them. 
 -->

<%= partial("direction/manage/import_and_integrate/api/templates/next") %>